## eazel-engine 0.3-6

=== debian/changelog ===
eazel-engine (0.3-6) unstable; urgency=low

  * QA upload. (ACK NMU; Closes: #329438)
  * Set maintainer to QA Group; Orphaned: #414530
  * Change Section to x11 to be in sync with override file
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 26 Mar 2007 10:16:03 +0200

eazel-engine (0.3-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules installs an empty postinst. Fixing.
  * Fixing awful typos in postinst.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Thu, 13 Jul 2006 12:35:50 +0200

eazel-engine (0.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add postinstall to get rid of the /usr/doc link (Closes: #190020). 
  * Update the libtool, so that it builds in GNU/k*BSD (Closes: #329438). 

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 11 Jul 2006 21:15:21 +0200

eazel-engine (0.3-5) unstable; urgency=low

  * Acknowledge NMU. (Closes: #179739, #240149)
  * Update download URL.
  * Update Standards-Version:
    - Don't set /usr/doc symlink. (Closes: #190020)
  * Remove spurious case label. (Closes: #258635)

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu, 15 Sep 2005 01:06:14 +0200

eazel-engine (0.3-4.1) unstable; urgency=low

  * NMU at Munich Bugsquash Party
  * updated config.sub, config.guess (Closes: #240149)
  * debian/rules: s/TMPDIR/DTMPDIR/ to avoid FTBFS (Closes: #179739)

 -- Erich Schubert <erich@debian.org>  Sun, 18 Apr 2004 01:02:28 +0200

eazel-engine (0.3-4) unstable; urgency=low

  * Patches:
    = 05build: merge 87clean in.
    + gtkrc: Don't set style for GtkText and GtkEntry widgets. This should fix
      GNOME applets acting up. (Closes: #131489)
      Also add a label style, and set it on GtkLabel. This fixes items such as
      the GDM 2 titlebar having a white text on light grey background. The
      `folderbar' in Evolution is still broken, but that's a bug in their
      code.

 -- Filip Van Raemdonck <mechanix@debian.org>  Wed, 10 Apr 2002 19:25:23 +0200

eazel-engine (0.3-3) unstable; urgency=low

  * Improve description.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 17 Feb 2002 19:02:15 +0100

eazel-engine (0.3-2) unstable; urgency=high

  * Add libgdk-pixbuf-dev to Build-Depends: - I wonder how I could miss that.
    (Closes: #131533)
  * Patches:
    + 001-cvs: Bring up to date with latest CVS for eazel-engine; except for
      the 2001-02-14 change since it's irrelevant for the Debian package.
      (Closes: #131636)

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu, 31 Jan 2002 23:36:41 +0100

eazel-engine (0.3-1) unstable; urgency=low

  * Initial upload. Did I win the jackpot with this ITP bug number?
    (Closes: #123456)
  * 50build.dpatch: do not build gnome-depending capplet and test program.
  * 75install.dpatch: install data in /usr/share/themes/Crux/gtk/ directory;
    make sure to let this now to the engine library.
  * 25config.dpatch: update config.{guess,sub} to be safe.
  * 87clean.dpatch: work around braindead upstream behaviour to distribute a
    generated file (the RPM spec file).

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue, 11 Dec 2001 19:37:50 +0100
