## eazel-engine 0.3-6build1

=== debian/changelog ===
eazel-engine (0.3-6build1) hardy; urgency=low

  * Rebuild for libglib1.2 -> libglib1.2ldbl transition.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 01 Dec 2007 13:26:58 +0100
