=== debian/control ===
Source: eazel-engine
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libgdk-pixbuf-dev, libgtk1.2-dev
Standards-Version: 3.7.2

Package: gtk-engines-eazel
Architecture: any
Depends: ${shlibs:Depends}
Description: The Eazel GTK+ theme engine, including the Crux theme
 This package contains the the Eazel engine for GTK+. An engine can be used
 to create themes for GTK+, and the default theme that comes with the Eazel
 engine, called Crux, is also included in this package.
 .
 Themes modify the way GTK-using programs look. The programs do not need to
 be modified to use themes; theme support is built into the GTK+ libraries.
